Package com.saxonica.expr

## Class QueryLibraryImpl

- java.lang.Object
- - net.sf.saxon.query.QueryModule
  - - net.sf.saxon.query.QueryLibrary
    - - com.saxonica.expr.QueryLibraryImpl

- All Implemented Interfaces:
    `StaticContext`

      public class QueryLibraryImpl
      extends QueryLibrary

  Concrete implementation of a separately-compiled XQuery library

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryLibraryImpl​(StaticQueryContext sqc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `link​(QueryModule importer)` | Link this library module to a module that imports it

    - ### Methods inherited from class net.sf.saxon.query.QueryModule

      `addImportedNamespace, addImportedSchema, bindUnboundFunctionCalls, bindUnboundVariables, bindVariable, checkForCircularities, checkURIForPrefix, declareActiveNamespace, declareFunction, declarePrologNamespace, declareVariable, explainGlobalFunctions, fixupGlobalFunctions, fixupGlobalVariables, getBuiltInFunctionSet, getCodeInjector, getConfiguration, getConstructionMode, getContainingLocation, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getExecutable, getFunctionLibrary, getGlobalFunctionLibrary, getGlobalStackFrameMap, getGlobalVariables, getImportedFunctionLibrary, getImportedSchemaNamespaces, getKeyManager, getLiveNamespaceResolver, getLocalFunctionLibrary, getLocationURI, getModuleNamespace, getModuleVariables, getNamespaceResolver, getOptimizerOptions, getPackageData, getRequiredContextItemType, getRevalidationMode, getStaticBaseURI, getSystemId, getTopLevelModule, getUserDefinedFunction, getUserQueryContext, getXPathVersion, importsNamespace, isEmptyLeast, isImportedSchema, isInBackwardsCompatibleMode, isInheritNamespaces, isMainModule, isPreserveBoundarySpace, isPreserveNamespaces, isSchemaAware, issueWarning, isTopLevelModule, isUpdating, lookForModuleCycles, makeEarlyEvaluationContext, makeQueryModule, makeRetainedStaticContext, mayImportModule, optimizeGlobalFunctions, reportStaticError, reportStaticError, resolveTypeAlias, setBaseURI, setConstructionMode, setDefaultCollationName, setDefaultElementNamespace, setDefaultFunctionNamespace, setEmptyLeast, setExecutable, setInheritNamespaces, setIsMainModule, setLocationURI, setModuleNamespace, setPackageData, setPreserveBoundarySpace, setPreserveNamespaces, setRevalidationMode, typeCheckGlobalVariables, undeclareNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.expr.StaticContext

      `getUnprefixedElementMatchingPolicy`

- - ### Constructor Detail

    - #### QueryLibraryImpl

          public QueryLibraryImpl​(StaticQueryContext sqc)
                           throws XPathException

      Throws:
        `XPathException`

  - ### Method Detail

    - #### link

          public void link​(QueryModule importer)
                    throws XPathException

      Link this library module to a module that imports it
      Specified by:
        `link` in class `QueryLibrary`
      Parameters:
        `importer` - the importing module (a user of the library)
      Throws:
        `XPathException`